For the complete documentation index, see llms.txt. This page is also available as Markdown.

Channel Manager Settings

Retrieve Channel Manager languages

get

Retrieve Channel Manager languages

Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

OK

application/json

Line items colection

CodestringOptional

ISO2 language code

Example: fr
NamestringOptional

Language name

Example: French
get/channelmanager/languages
GET /rest/6.0/channelmanager/languages HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
[
  {
    "Code": "fr",
    "Name": "French"
  },
  {
    "Code": "en",
    "Name": "English"
  },
  {
    "Code": "de",
    "Name": "German"
  }
]

Retrieve Channel Manager invoice templates

get

Retrieve Channel Manager invoice templates

Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Responses
200

OK

application/json

Invoice templates colection

IdInvoiceTemplatestringOptional

Invoice template id

Example: 15
TemplateNamestringOptional

Template name

Example: Test Proforma
get/channelmanager/invoice-templates
GET /rest/6.0/channelmanager/invoice-templates HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
[
  {
    "IdInvoiceTemplate": 15,
    "TemplateName": "Test Proforma"
  }
]

Channel Manager Single Sign On

post

Returns an URL with a token to allow authentification from external domains for custom domain vendors

Path parameters
uuidstringRequired

Partner unique id

Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Body

SSO create request

EmailstringRequired

The partner email address

Example: test_partnerbb@test.com
AccessPagestringRequired

Access page

Example: http://qat31.aws.avancart.local/cpanel
ValidityTimeintegerOptional

Token Validity Time

Example: 90
ValidationIpstringOptional

Validation Ip

Example: 127.0.0.1
Responses
200

OK

application/json
urlstringOptional

requested url with appended token

Example: http://qat31.aws.avancart.local/cpanel/index.php?logintoken=2c05e11f4e76027f9ca34f1f0a093634
expiresInintegerOptional

Expiration time in seconds

Example: 90
post/channelmanager/partners/{uuid}/sso
POST /rest/6.0/channelmanager/partners/{uuid}/sso HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Content-Type: application/json
Content-Length: 134

{
  "Email": "test_partnerbb@test.com",
  "AccessPage": "http://qat31.aws.avancart.local/cpanel",
  "ValidityTime": 90,
  "ValidationIp": "127.0.0.1"
}
{
  "url": "http://qat31.aws.avancart.local/cpanel/index.php?logintoken=2c05e11f4e76027f9ca34f1f0a093634",
  "expiresIn": 90
}

Channel Manager Partner Proforma Refund Request

post

Create refund request for a specific proforma number

Path parameters
uuidstringRequired

Partner unique id

Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Body

Proforma Refund Request

ProformaNumberintegerRequired

The partner's proforma number

Example: 6
CommentstringRequired

Request comment

Example: Comment
Responses
200

OK

application/json
booleanOptional
post/channelmanager/partners/{uuid}/requestProformaRefund
POST /rest/6.0/channelmanager/partners/{uuid}/requestProformaRefund HTTP/1.1
Host: api.2checkout.com
Accept: application/json
X-Avangate-Authentication: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Content-Type: application/json
Content-Length: 40

{
  "ProformaNumber": 6,
  "Comment": "Comment"
}
true

Last updated

Was this helpful?